This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467806 - gcc 4.3.0 fix for bit-fields
gcc 4.3.0 fix for bit-fields
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
9
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2008-10-20 20:08 EDT by Brad Hinson
Modified: 2008-10-21 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 15:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gcc 4.3.0 fix for bit-fields (846 bytes, patch)
2008-10-20 20:08 EDT, Brad Hinson
no flags Details | Diff

  None (edit)
Description Brad Hinson 2008-10-20 20:08:56 EDT
Created attachment 320945 [details]
gcc 4.3.0 fix for bit-fields

Description of problem:
A quick fix to get gnupg-1.4.9 compiling with gcc 4.3.0 by obfuscating
the reference to a bit-field.  Patch from Eric Sandall.

Version-Release number of selected component (if applicable):
gnupg2-2.0.9-1.fc9

Additional info:
This solves the following compile error on s390:
gpgkeys_curl.c:303: error: ‘typeof’ applied to a bit-field
Comment 1 Rex Dieter 2008-10-21 10:01:19 EDT
How does this compare with what's already in cvs (patch extracted from upstream, afaik)?
http://cvs.fedoraproject.org/viewvc/devel/gnupg/gnupg-1.4.9-gcc43.patch

Is this one not sufficient?
Comment 2 Brad Hinson 2008-10-21 15:25:19 EDT
That patch works.  Actually I meant to request that this for gnupg2, but I see it's there as well.  Closing CURRENTRELEASE.

Thanks

Note You need to log in before you can comment on or make changes to this bug.